Bug 134313 - sysstat parsing of /proc/partitions broken in recent update
sysstat parsing of /proc/partitions broken in recent update
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 07:09 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: sysstat-5.0.5-11.rhel3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 03:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sar-fix-proc-partitions-parsing.patch (639 bytes, patch)
2004-10-01 07:10 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2004-10-01 07:09:31 EDT
Description of problem:
In  get_disks function in sadc.c, the parsing of /proc/partitions is
done with " %d %d %d %[^\n]" as format.

A typical line of /proc/partition is:
  8     0    8773632 sda 31844 39600 567806 233550 91422 131288
1786606 5507000 0 993840 5741090

This gives:

ma=8
mi=0
blocks=8773632
ptname=sda 31844 39600 567806 233550 91422 131288 1786606 5507000 0
993840 5741090

ptname should only be sda.

Things works better with " %d %d %d %s %[^\n]".

ma=8
mi=0
blocks=8773632
ptname=sda
garbage=31844 39600 567806 233550 91422 131288 1786606 5507000 0
993840 5741090

Version-Release number of selected component (if applicable):
sysstat-4.0.7-4.EL3.3
worked fine with .2 release
Comment 1 Bastien Nocera 2004-10-01 07:10:58 EDT
Created attachment 104624 [details]
sar-fix-proc-partitions-parsing.patch

Patch origin not known.
Comment 3 Charlie Bennett 2004-10-11 12:09:00 EDT
This bug is fixed in sysstat-5.0.5, U4/U6 errata bring us up to this
version.
Comment 4 Guillaume Gimenez 2004-10-13 04:01:44 EDT
Patch is from me. I sent it to rh support.

Regards.
Comment 7 Ivana Varekova 2006-08-03 03:41:04 EDT
This bug is fixed in rhel5 which is in actual version of rhel3. 
Comment 8 Ivana Varekova 2006-08-03 03:42:48 EDT
There is typo in previous comment - This bug is fixed in version 5.0.5 (not rhel5).

Note You need to log in before you can comment on or make changes to this bug.